org.bouncycastle.asn1.ess

## Class OtherCertID

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.ess.OtherCertID

All Implemented Interfaces:
  DEREncodable

    public class OtherCertID
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`OtherCertID(AlgorithmIdentifier algId, byte[] digest)`
`OtherCertID(AlgorithmIdentifier algId, byte[] digest, IssuerSerial issuerSerial)`
`OtherCertID(ASN1Sequence seq)` constructor

### Method Summary

Methods
`AlgorithmIdentifier` `getAlgorithmHash()`
`byte[]` `getCertHash()`
`static OtherCertID` `getInstance(java.lang.Object o)`
`IssuerSerial` `getIssuerSerial()`
`DERObject` `toASN1Object()` OtherCertID ::= SEQUENCE { otherCertHash OtherHash, issuerSerial IssuerSerial OPTIONAL } OtherHash ::= CHOICE { sha1Hash OCTET STRING, otherHash OtherHashAlgAndValue } OtherHashAlgAndValue ::= SEQUENCE { hashAlgorithm AlgorithmIdentifier, hashValue OCTET STRING }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OtherCertID

    public OtherCertID(ASN1Sequence seq)

constructor

#### OtherCertID

    public OtherCertID(AlgorithmIdentifier algId,
               byte[] digest)

#### OtherCertID

    public OtherCertID(AlgorithmIdentifier algId,
               byte[] digest,
               IssuerSerial issuerSerial)

### Method Detail

#### getInstance

    public static OtherCertID getInstance(java.lang.Object o)

#### getAlgorithmHash

    public AlgorithmIdentifier getAlgorithmHash()

#### getCertHash

    public byte[] getCertHash()

#### getIssuerSerial

    public IssuerSerial getIssuerSerial()

#### toASN1Object

    public DERObject toASN1Object()

     OtherCertID ::= SEQUENCE {
         otherCertHash    OtherHash,
         issuerSerial     IssuerSerial OPTIONAL }

     OtherHash ::= CHOICE {
         sha1Hash     OCTET STRING,
         otherHash    OtherHashAlgAndValue }

     OtherHashAlgAndValue ::= SEQUENCE {
         hashAlgorithm    AlgorithmIdentifier,
         hashValue        OCTET STRING }

Specified by:
  `toASN1Object` in class `ASN1Encodable`